/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package Prog6;


public class Multiplication {

    public static int[][] multiplication(int[][] matrix, int[][] matrix2) {
        int[][] matrix3 = new int[matrix.length][matrix2[0].length];

        for (int i = 0; i < matrix.length; i++) {
            for (int j = 0; j < matrix2[i].length; j++) {
                int multi = 0;
                for (int k = 0; k < matrix2[j].length; k++) {
                    multi += (matrix[i][k] * matrix2[k][j]);
                }
                matrix3[i][j] = multi;
            }
        }
        return matrix3;
    }

}
